<html
    xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers"
    xmlns:be="http://typo3.org/ns/TYPO3/CMS/Backend/ViewHelpers"
    data-namespace-typo3-fluid="true">

<f:layout name="Default" />

This template is responsible for creating a table of domain objects.

If you modify this template, do not forget to change the overwrite settings
in /Configuration/ExtensionBuilder/settings.yaml:
  Resources:
    Private:
      Backend:
        Templates:
          Clubs:
            List.html: keep

Otherwise your changes will be overwritten the next time you save the extension in the extension builder

<f:section name="Buttons">
    <be:moduleLayout.button.linkButton
        icon="actions-add"
        title="{f:translate(id: 'LLL:EXT:backend/Resources/Private/Language/locallang_layout.xlf:newRecordGeneral')}"
        link="{f:uri.action(controller: 'Clubs', action: 'new')}"
    />
</f:section>

<f:section name="Content">
    <h1>Listing for Clubs</h1>

    <f:flashMessages />

    <table class="tx_sisbase">
        <tr>
            <th><f:translate key="tx_sisbase_domain_model_clubs.name" /></th>
            <th><f:translate key="tx_sisbase_domain_model_clubs.short_name" /></th>
            <th><f:translate key="tx_sisbase_domain_model_clubs.logo" /></th>
            <th><f:translate key="tx_sisbase_domain_model_clubs.street" /></th>
            <th><f:translate key="tx_sisbase_domain_model_clubs.zip" /></th>
            <th><f:translate key="tx_sisbase_domain_model_clubs.city" /></th>
            <th><f:translate key="tx_sisbase_domain_model_clubs.country" /></th>
            <th><f:translate key="tx_sisbase_domain_model_clubs.country_code" /></th>
            <th><f:translate key="tx_sisbase_domain_model_clubs.lng" /></th>
            <th><f:translate key="tx_sisbase_domain_model_clubs.lat" /></th>
            <th><f:translate key="tx_sisbase_domain_model_clubs.short_info" /></th>
            <th><f:translate key="tx_sisbase_domain_model_clubs.description" /></th>
            <th><f:translate key="tx_sisbase_domain_model_clubs.founding_year" /></th>
            <th><f:translate key="tx_sisbase_domain_model_clubs.club_colors" /></th>
            <th><f:translate key="tx_sisbase_domain_model_clubs.www" /></th>
            <th><f:translate key="tx_sisbase_domain_model_clubs.email" /></th>
            <th><f:translate key="tx_sisbase_domain_model_clubs.membership" /></th>
            <th><f:translate key="tx_sisbase_domain_model_clubs.directions" /></th>
            <th></th>
            <th></th>
        </tr>
        <f:for each="{clubs}" as="clubs">
            <tr>
                <td><f:link.action action="show" arguments="{clubs: clubs}">{clubs.name}</f:link.action></td>
                <td><f:link.action action="show" arguments="{clubs: clubs}">{clubs.shortName}</f:link.action></td>
                <td><f:link.action action="show" arguments="{clubs: clubs}">{clubs.logo.originalResource.name}</f:link.action></td>
                <td><f:link.action action="show" arguments="{clubs: clubs}">{clubs.street}</f:link.action></td>
                <td><f:link.action action="show" arguments="{clubs: clubs}">{clubs.zip}</f:link.action></td>
                <td><f:link.action action="show" arguments="{clubs: clubs}">{clubs.city}</f:link.action></td>
                <td><f:link.action action="show" arguments="{clubs: clubs}">{clubs.country}</f:link.action></td>
                <td><f:link.action action="show" arguments="{clubs: clubs}">{clubs.countryCode}</f:link.action></td>
                <td><f:link.action action="show" arguments="{clubs: clubs}">{clubs.lng}</f:link.action></td>
                <td><f:link.action action="show" arguments="{clubs: clubs}">{clubs.lat}</f:link.action></td>
                <td><f:link.action action="show" arguments="{clubs: clubs}">{clubs.shortInfo}</f:link.action></td>
                <td><f:link.action action="show" arguments="{clubs: clubs}">{clubs.description}</f:link.action></td>
                <td><f:link.action action="show" arguments="{clubs: clubs}">{clubs.foundingYear}</f:link.action></td>
                <td><f:link.action action="show" arguments="{clubs: clubs}">{clubs.clubColors}</f:link.action></td>
                <td><f:link.action action="show" arguments="{clubs: clubs}">{clubs.www}</f:link.action></td>
                <td><f:link.action action="show" arguments="{clubs: clubs}">{clubs.email}</f:link.action></td>
                <td><f:link.action action="show" arguments="{clubs: clubs}">{clubs.membership}</f:link.action></td>
                <td><f:link.action action="show" arguments="{clubs: clubs}">{clubs.directions}</f:link.action></td>
                <td><f:link.action action="edit" arguments="{clubs: clubs}" class="btn btn-default">Edit</f:link.action></td>
                <td><f:link.action action="delete" arguments="{clubs: clubs}" class="btn btn-danger">Delete</f:link.action></td>
            </tr>
        </f:for>
    </table>

    <f:link.action action="new" class="btn btn-default">New Clubs</f:link.action>
</f:section>
</html>
